Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.graph
Class SpecificOriginRetentionPolicy

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractOriginRetentionPolicy
          kieker.tools.traceAnalysis.filter.visualization.graph.SpecificOriginRetentionPolicy

All Implemented Interfaces:
  IOriginRetentionPolicy

    public class SpecificOriginRetentionPolicy

extends AbstractOriginRetentionPolicy

The specific origin retention policy represents the intention that only specific origins should be retained and corresponds to the kind `OriginRetentionPolicyKind.SPECIFIC`. Two specific retention policies are united by uniting the underlying sets. Instead of calculating the union set, however, the two policies are chained together using an implicit union/or operator to provide a higher flexibility.

Since:
  1.6
Author:
  Holger Knoche

Method Summary
`static SpecificOriginRetentionPolicy` | `createInstance(Set<?> selectedOrigins)` Factory method for the specific origin retention policy.
`boolean` | `dependsOn(IOriginRetentionPolicy policy)` Checks whether this origin retention policy depends on the given policy.
`
`<T> void`
` | `handleOrigin(AbstractGraphElement<T> element, T origin)` Handles a given origin for the given graph element.
`IOriginRetentionPolicy` | `uniteWith(IOriginRetentionPolicy other)` Unites this retention policy with another one and returns the resulting policy.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractOriginRetentionPolicy
`getKind, isCompatibleWith`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### dependsOn

    public boolean dependsOn(IOriginRetentionPolicy policy)

  Description copied from class: `AbstractOriginRetentionPolicy`
  Checks whether this origin retention policy depends on the given policy.

  Specified by:
    `dependsOn` in interface `IOriginRetentionPolicy`
  Overrides:
    `dependsOn` in class `AbstractOriginRetentionPolicy`
  Parameters:
    `policy` - The policy to check for dependencies
  Returns:
    `True` if the policy depends on the given policy, `false` otherwise

### uniteWith

    public IOriginRetentionPolicy uniteWith(IOriginRetentionPolicy other)

  Description copied from interface: `IOriginRetentionPolicy`
  Unites this retention policy with another one and returns the resulting policy. Note that the resulting policy is not necessarily one of the original policies.

  Parameters:
    `other` - The retention policy to unite this policy with
  Returns:
    The resulting policy, which may be a completely new object

### handleOrigin

    public <T> void handleOrigin(AbstractGraphElement<T> element,
                                 T origin)

  Description copied from interface: `IOriginRetentionPolicy`
  Handles a given origin for the given graph element.

  Type Parameters:
    `T` - The type of the entity within the graph element.
  Parameters:
    `element` - The graph element to handle the origin for
    `origin` - The origin to handle

### createInstance

    public static SpecificOriginRetentionPolicy createInstance(Set<?> selectedOrigins)

  Factory method for the specific origin retention policy.

  Parameters:
    `selectedOrigins` - The origins to retain
  Returns:
    See above

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net